package com.bonus.canteen.core.menu.dto;

import cn.hutool.core.text.CharSequenceUtil;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class MenuDishesTastePageDTO implements Serializable {
   @ApiModelProperty("口味id")
   private Long tasteId;
   @ApiModelProperty("口味名称")
   private String tasteName;

   public String getTasteName() {
      return CharSequenceUtil.isBlank(this.tasteName) ? null : "%" + this.tasteName + "%";
   }

   public Long getTasteId() {
      return this.tasteId;
   }

   public void setTasteId(final Long tasteId) {
      this.tasteId = tasteId;
   }

   public void setTasteName(final String tasteName) {
      this.tasteName = tasteName;
   }
}
